package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.CphFamilyMember;

/**
 * 家庭成员Service接口
 *
 * @author srs
 * @date 2024-04-08
 */
public interface ICphFamilyMemberService extends IService<CphFamilyMember> {

    AjaxResult editOwnFamily(CphFamilyMember param);
    AjaxResult deleteOwnFamily(CphFamilyMember param);

    List<CphFamilyMember> getStuFamily(String stuNo);

    /**
     * 查询家庭成员
     *
     * @param id 家庭成员主键
     * @return 家庭成员
     */
    public CphFamilyMember selectCphFamilyMemberById(Long id);

    /**
     * 查询家庭成员列表
     *
     * @param cphFamilyMember 家庭成员
     * @return 家庭成员集合
     */
    List<CphFamilyMember> selectCphFamilyMemberList(CphFamilyMember cphFamilyMember);

    /**
     * 新增家庭成员
     *
     * @param cphFamilyMember 家庭成员
     * @return 结果
     */
    int insertCphFamilyMember(CphFamilyMember cphFamilyMember);

    /**
     * 修改家庭成员
     *
     * @param cphFamilyMember 家庭成员
     * @return 结果
     */
    int updateCphFamilyMember(CphFamilyMember cphFamilyMember);

    /**
     * 批量删除家庭成员
     *
     * @param ids 需要删除的家庭成员主键集合
     * @return 结果
     */
    int deleteCphFamilyMemberByIds(Long[] ids);

    /**
     * 删除家庭成员信息
     *
     * @param id 家庭成员主键
     * @return 结果
     */
    int deleteCphFamilyMemberById(Long id);



    AjaxResult deleteMemberByFdy(CphFamilyMember param);
}
